org.jboss.resteasy.spi

## Class LinkHeaders

- java.lang.Object
- - org.jboss.resteasy.spi.LinkHeaders

-     public class LinkHeaders
      extends Object

  Abstraction for LInk headers. Also uses JAXRS classes rather than deprecated old resteasy ones.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkHeaders()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LinkHeaders` | `addLink(Link link)`
    `LinkHeaders` | `addLinkObjects(MultivaluedMap<String,Object> headers, HeaderValueProcessor factory)`
    `LinkHeaders` | `addLinks(MultivaluedMap<String,String> headers)`
    `Link` | `getLinkByRelationship(String rel)`
    `Link` | `getLinkByTitle(String title)`
    `List<Link>` | `getLinks()` All the links defined
    `Map<String,Link>` | `getLinksByRelationship()` Index of links by relationship "rel" or "rev"
    `Map<String,Link>` | `getLinksByTitle()` Index of links by title

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkHeaders

          public LinkHeaders()

  - ### Method Detail

    - #### addLinks

          public LinkHeaders addLinks(MultivaluedMap<String,String> headers)

    - #### addLinkObjects

          public LinkHeaders addLinkObjects(MultivaluedMap<String,Object> headers,
                                   HeaderValueProcessor factory)

    - #### addLink

          public LinkHeaders addLink(Link link)

    - #### getLinkByTitle

          public Link getLinkByTitle(String title)

    - #### getLinkByRelationship

          public Link getLinkByRelationship(String rel)

    - #### getLinksByRelationship

          public Map<String,Link> getLinksByRelationship()

      Index of links by relationship "rel" or "rev"
      Returns:

    - #### getLinksByTitle

          public Map<String,Link> getLinksByTitle()

      Index of links by title
      Returns:

    - #### getLinks

          public List<Link> getLinks()

      All the links defined
      Returns:

Copyright © 2014. All Rights Reserved.